## org.eclipse.jet.core.parser.ast
Class XMLBodyElement

    java.lang.Object
      org.eclipse.jet.core.parser.ast.JETASTElement
          org.eclipse.jet.core.parser.ast.BodyElement
              org.eclipse.jet.core.parser.ast.XMLElement
                  org.eclipse.jet.core.parser.ast.XMLBodyElement

    public final class XMLBodyElement

extends XMLElement

Define a JET XML Element that has a begin-tag and end-tag, and zero or more body elements.

Since:
  0.8.0

Method Summary
`protected void` `accept0(JETASTVisitor visitor)` Visit the AST and its contained elements.
`void` `addBodyElement(BodyElement bodyElement)`
`JETASTElement` `elementAfter(JETASTElement element)`
`BodyElement` `elementBefore(JETASTElement element)`
`java.util.List` `getBodyElements()` Return a read-only list of JET2 elements contained by this element.
`XMLBodyElementEnd` `getEndTag()`
`JETASTElement` `getNextElement()`
`void` `setEndTag(XMLBodyElementEnd endTag)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.jet.core.parser.ast.XMLElement
`getAttributes, getName, getNSPrefix, getTagDefinition, getTagNCName, removeLineWhenOtherwiseEmpty`

Methods inherited from class org.eclipse.jet.core.parser.ast.JETASTElement
`accept, getAst, getColumn, getEnd, getLine, getParent, getPrevElement, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getBodyElements

    public final java.util.List getBodyElements()

  Return a read-only list of JET2 elements contained by this element.

  Returns:
    a List of `JETASTElement` instances. The empty list is returned if there are no elements.

### accept0

    protected final void accept0(JETASTVisitor visitor)

  Description copied from class: `JETASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept0` in class `JETASTElement`
  See Also:
    `JETASTElement.accept0(JETASTVisitor)`

### setEndTag

    public void setEndTag(XMLBodyElementEnd endTag)

### getEndTag

    public final XMLBodyElementEnd getEndTag()

  Returns:
    Returns the endTag.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getNextElement

    public JETASTElement getNextElement()

  Overrides:
    `getNextElement` in class `JETASTElement`

### addBodyElement

    public void addBodyElement(BodyElement bodyElement)

### elementAfter

    public JETASTElement elementAfter(JETASTElement element)

### elementBefore

    public BodyElement elementBefore(JETASTElement element)

Copyright 2006 IBM Corporation and others. All Rights Reserved.